
%% ======================================================
function maj_refvalue(obj, ~)
%maj_refvalue Maj des boutons quand l'utilisateur choisit la variance cte ou non cte
%% ======================================================
data=guidata(gcf);
mode = get(obj, 'tag');
switch mode
    case 'novarcte_tag'
% variance non cte
        set(data.varcte_tag, 'value', 0);
        set(data.novarcte_tag, 'value', 1);
        set(data.reftxt_tag, 'visible', 'off');
        set(data.refvalue_tag, 'visible', 'off');
        set(data.help_variance_tag, 'visible', 'off');
        set(data.help_powercoeff_tag, 'visible', 'on');
        set(data.cpuistxt_tag, 'visible', 'on');
        set(data.cpuisvalue_tag, 'visible', 'on');
        set(data.biaistxt_tag, 'visible', 'on');
        set(data.biaisvalue_tag, 'visible', 'on');
    case 'varcte_tag'
% variance  cte
        set(data.varcte_tag, 'value', 1);
        set(data.novarcte_tag, 'value', 0);
        set(data.reftxt_tag, 'visible', 'on');
       set(data.help_powercoeff_tag, 'visible', 'off');
        set(data.help_variance_tag, 'visible', 'on');
        set(data.refvalue_tag, 'visible', 'on');
        set(data.cpuistxt_tag, 'visible', 'off');
        set(data.cpuisvalue_tag, 'visible', 'off');
        set(data.biaistxt_tag, 'visible', 'off');
        set(data.biaisvalue_tag, 'visible', 'off');

end
% mise à jour de la structure principale data
guidata(1,data);
end % fin maj_refvalue

